summaryrefslogtreecommitdiffstats
path: root/gis/pyshp
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2018-03-16 23:14:37 -0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-24 06:50:34 +0700
commit259385412510074bec445cf0b94970c08f6528cf (patch)
treeb941f624060548db95c7c2b29122b421fa883cb2 /gis/pyshp
parent252a01dff2e558e63ed5997320aeee88e994651d (diff)
downloadslackbuilds-259385412510074bec445cf0b94970c08f6528cf.tar.gz
slackbuilds-259385412510074bec445cf0b94970c08f6528cf.tar.xz
gis/pyshp: Add Python 3 support.
Signed-off-by: Benjamin Trigona-Harany <bosth@alumni.sfu.ca>
Diffstat (limited to 'gis/pyshp')
-rw-r--r--gis/pyshp/pyshp.SlackBuild13
1 files changed, 9 insertions, 4 deletions
diff --git a/gis/pyshp/pyshp.SlackBuild b/gis/pyshp/pyshp.SlackBuild
index e30ce95797..4b4b2ff3c9 100644
--- a/gis/pyshp/pyshp.SlackBuild
+++ b/gis/pyshp/pyshp.SlackBuild
@@ -67,15 +67,20 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
python setup.py install --root=$PKG
+if $(python3 -c 'import sys' 2>/dev/null); then
+ python3 setup.py install --root=$PKG
+fi
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
- grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a changelog.txt README.md LICENSE.TXT $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ changelog.txt README.md LICENSE.TXT \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install